stages:
- test
- build
before_script:
    - chmod +x mvnw
build:
    image: openjdk:8-jdk-slim
    script:
    - ./mvnw -B install -DskipTests
    stage: build
unit:
    image: openjdk:8-jdk-slim
    script:
    - ./mvnw -B test
    stage: test
e2e tests:
    image: openjdk:8-jdk-slim
    script:
    - ./mvnw -B test -Dtests.tags="e2e"
    stage: test
